Bug 61122 - EDITING: Copy and special paste DDE unhide a hidden column
Summary: EDITING: Copy and special paste DDE unhide a hidden column
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 61120 (view as bug list)
Depends on:
Blocks: Paste-Special
  Show dependency treegraph
 
Reported: 2013-02-19 15:06 UTC by Claudio Ferraz
Modified: 2022-09-10 03:50 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
this is the error screen (66.80 KB, image/png)
2013-02-19 15:06 UTC, Claudio Ferraz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Claudio Ferraz 2013-02-19 15:06:29 UTC
Created attachment 75115 [details]
this is the error screen

Problem description: 

By creating a bond dde, the calc to writer, with some hidden columns the system creates the bond, but has hidden columns.

Steps to reproduce:
1. create a spreadsheet with some data in calc, hide some columns and save
2. select the calc spreadsheet and copy, open the text editor and paste special bond dde
3.see the result, hidden columns appear

Current behavior:

Expected behavior:

              
Operating System: Windows 7
Version: 4.0.0.3 release
Comment 1 Jorendc 2013-02-19 18:40:40 UTC Comment hidden (obsolete)
Comment 2 Jorendc 2013-02-19 18:42:06 UTC Comment hidden (obsolete)
Comment 3 Jorendc 2013-02-19 18:59:16 UTC
Thanks for reporting.

I can reproduce this problem using Linux Mint 14 x64 and LibreOffice 4.0.0 release. Therefore I mark this as NEW.

Following [1] I mark this as 'Normal Medium'.

Kind regards,
Joren

[1] https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 4 Thomas P. 2014-08-08 20:06:03 UTC
I have a similar issue, maybe it is related to this bug. 

- I create some data in calc which include a hidden row
- Out of this data, a chart will be generated, which does not show the hidden row. 

- Then a do a (default) copy/paste of the chart into draw. There the chart suddenly contains also the hidden row. 
- If I do a paste as GDI metafile, it also happens. 

(Using Libreoffice 4.3.0.4 on Mac OS X 10.9.4)
Comment 5 Jonathan Camilleri 2015-08-19 08:01:10 UTC
I noticed that I could not find an option to unhide a hidden row within the context menu or the main menu in version  5.0.0.5.
Comment 6 QA Administrators 2016-09-20 10:25:59 UTC Comment hidden (obsolete)
Comment 7 Roman Kuznetsov 2019-05-04 12:42:59 UTC
still repro in

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 7ca7d61dc25f409e209b3a432c7f07469b17e316
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-05-03_23:08:41
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL
Comment 8 Jedison 2020-09-09 17:44:14 UTC
Nas versões 6.4.5 e 7.0 também, em cada nova versão de uma planilha que é gravada e reaberta, as colunas ocultas mais à direita voltam a aparecer.
Comment 9 QA Administrators 2022-09-10 03:50:55 UTC
Dear Claudio Ferraz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug